subs - Perl pragma to predeclare subroutine names

- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

subs - Perl pragma to predeclare subroutine names

# SYNOPSIS

        use subs qw(frob);
        frob 3..10;

# DESCRIPTION

This will predeclare all the subroutines whose names are in the list, allowing you to use them without parentheses (as list operators) even before they're declared.

Unlike pragmas that affect the `$^H` hints variable, the `use vars` and `use subs` declarations are not lexically scoped to the block they appear in: they affect the entire package in which they appear. It is not possible to rescind these declarations with `no vars` or `no subs`.

See "Pragmatic Modules" in perlmodlib and "strict subs" in strict.

subs - Perl pragma to predeclare subroutine names